
/***********
alert 工具类
*************/
Vue.component('dt_alert', {
    props: {
        title: {
            type: String,
            default: '提示标题'
        },
        icon: {
            type: String,
            default: '../../res/img/alert_apply.png'
        },
 
    },
    template: `
    <div class="dt_alert">
        <img :src="icon" />
        <div class="title_box">
            <span v-cloak>{{title}}</span>
        </div>
        <div class="content_box">
            <slot name="content"></slot>
        </div>
        <div class="left_box">
        </div>
        <div class="bottom_box">
            <slot name="bottom"></slot>
        </div>
    </div>
  `,
  methods: {
    closeAction: function() {
      api.closeFrame();
    }
  }
})
